//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//  Used to display an item in a list

.c-card {
    &:first-of-type {
        border-top: none;
    }

    &:last-of-type {
        border-bottom: 1px solid $dp-color-neutral-light-2;
    }

    background: $dp-color-white !important;
    border-top: 1px solid $dp-color-neutral-light-2;
    padding-top: 18px;
    padding-right: 13px;
    padding-bottom: 18px;
    width: 99%;
    margin: auto;

    &:hover {
        background: $dp-color-neutral-light-4 !important;
    }

    &.is-expanded {
        position: relative; // Force the element above other elements to show the box shadow
        border-left: 2px solid $dp-color-neutral-base;
        width: 100%;
        margin: 0 0 0 -2px;
        padding-right: 11px;
        box-shadow: $dp-box-shadow-1;

        + li {
            border-top: none;
        }
    }
}
